Gentoo Archives: gentoo-user

From: Dale <dalek@××××××××××.net>
To: gentoo-user@l.g.o
Subject: [gentoo-user] emerge xmlto > ERROR: app-text/xmlto-0.0.18 failed.
Date: Tue, 01 Nov 2005 10:16:57
Message-Id: 43673E87.50906@exceedtech.net
1 Hi,
2
3 I have ran into this error a lot of times. I posted it the other day
4 but have learned that a lot of people don't read HTML stuff. So here I
5 go again.
6
7 This is the whole thing, sorry it is a bit long but I didn't want to cut
8 out the very part you need. Yes, my rig is named smoker. :/
9
10 > root@smoker / # emerge -v xmlto
11 > Calculating dependencies ...done!
12 > >>> emerge (1 of 1) app-text/xmlto-0.0.18 to /
13 > >>> md5 files ;-) xmlto-0.0.17.ebuild
14 > >>> md5 files ;-) xmlto-0.0.18.ebuild
15 > >>> md5 files ;-) files/xmlto-head-fix.patch
16 > >>> md5 files ;-) files/digest-xmlto-0.0.17
17 > >>> md5 files ;-) files/digest-xmlto-0.0.18
18 > >>> md5 src_uri ;-) xmlto-0.0.18.tar.bz2
19 > >>> Unpacking source...
20 > >>> Unpacking xmlto-0.0.18.tar.bz2 to /var/tmp/portage/xmlto-0.0.18/work
21 > >>> Source unpacked.
22 > ./configure --prefix=/usr --host=i686-pc-linux-gnu
23 > --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share
24 > --sysconfdir=/etc --localstatedir=/var/lib --build=i686-pc-linux-gnu
25 > checking for a BSD-compatible install... /bin/install -c
26 > checking whether build environment is sane... yes
27 > checking for gawk... gawk
28 > checking whether make sets $(MAKE)... yes
29 > checking for i686-pc-linux-gnu-gcc... i686-pc-linux-gnu-gcc
30 > checking for C compiler default output file name... a.out
31 > checking whether the C compiler works... yes
32 > checking whether we are cross compiling... no
33 > checking for suffix of executables...
34 > checking for suffix of object files... o
35 > checking whether we are using the GNU C compiler... yes
36 > checking whether i686-pc-linux-gnu-gcc accepts -g... yes
37 > checking for i686-pc-linux-gnu-gcc option to accept ANSI C... none needed
38 > checking for style of include used by make... GNU
39 > checking dependency style of i686-pc-linux-gnu-gcc... gcc3
40 > checking whether i686-pc-linux-gnu-gcc and cc understand -c and -o
41 > together... yes
42 > checking for flex... flex
43 > checking for yywrap in -lfl... yes
44 > checking lex output file root... lex.yy
45 > checking whether yytext is a pointer... yes
46 > checking for mktemp program... mktemp
47 > checking for GNU find program... find
48 > checking for bash... bash
49 > checking for getopt program... getopt
50 > checking whether getopt handles long options... yes
51 > configure: creating ./config.status
52 > config.status: creating Makefile
53 > config.status: creating xmlto
54 > config.status: creating xmlto.spec
55 > config.status: creating config.h
56 > config.status: executing depfiles commands
57 > make all-am
58 > make[1]: Entering directory
59 > `/var/tmp/portage/xmlto-0.0.18/work/xmlto-0.0.18'
60 > if i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.
61 > -march=athlon-xp -O3 -MT xmlif/xmlif.o -MD -MP -MF
62 > "xmlif/.deps/xmlif.Tpo" -c -o xmlif/xmlif.o `test -f 'xmlif/xmlif.c'
63 > || echo './'`xmlif/xmlif.c; \
64 > then mv -f "xmlif/.deps/xmlif.Tpo" "xmlif/.deps/xmlif.Po"; else rm -f
65 > "xmlif/.deps/xmlif.Tpo"; exit 1; fi
66 > i686-pc-linux-gnu-gcc -march=athlon-xp -O3 -Wl,-z,now -o
67 > xmlif/xmlif xmlif/xmlif.o
68 > for xml in xmlif.xml xmlto.xml; do \
69 > FORMAT_DIR=./format XSL_DIR=./xsl \
70 > bash ./xmlto -o man/man1 man ./doc/$xml ; \
71 > done || ( RC=$?; cat ./FAQ; exit $RC )
72 > warning: failed to load external entity
73 > "http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl"
74 > compilation error: file
75 > /var/tmp/portage/xmlto-0.0.18/temp/xmlto-xsl.ShHrwX line 4 element import
76 > xsl:import : unable to load
77 > http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
78 > warning: failed to load external entity
79 > "http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl"
80 > compilation error: file
81 > /var/tmp/portage/xmlto-0.0.18/temp/xmlto-xsl.Rpd0Wc line 4 element import
82 > xsl:import : unable to load
83 > http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl
84 >
85 > Q: I'm trying to build xmlto on my Debian box, but it doesn't work.
86 >
87 > A: If you get `Attempt to load network entity' errors when building
88 > xmlto, your system does not have the required support for XML
89 > Catalogs
90 > (http://www.oasis-open.org/committees/entity/spec-2001-08-06.html).
91 > In particular, Debian has no support for these. Try the Fedora
92 > Project <http://fedora.redhat.com>.
93 > make[1]: *** [man/man1/xmlto.1] Error 1
94 > make[1]: Leaving directory
95 > `/var/tmp/portage/xmlto-0.0.18/work/xmlto-0.0.18'
96 > make: *** [all] Error 2
97 >
98 > !!! ERROR: app-text/xmlto-0.0.18 failed.
99 > !!! Function src_compile, Line 27, Exitcode 2
100 > !!! (no error message)
101 > !!! If you need support, post the topmost build error, NOT this status
102 > message.
103 >
104 > root@smoker / #
105
106
107 It wants to emerge it sometimes during a emerge -uv world. I try to
108 keep it up to date. I have looked and seen where people gripe about it,
109 including me, but have not found a real fix. I did also try USE="-doc"
110 emerge xmlto and it still fails. I'm a dial-up user but I am connected
111 to the net when I try this. Everything else can get to the net. I
112 dunno why it can't.
113
114 Is there a fix for this? Do I need to install something else to make it
115 work? Should I file a horse and BUGgy report? LOL
116
117 What you guys, and gals, think?
118
119 Dale
120 Sorry for the HTML last time. :-(
121 --
122 gentoo-user@g.o mailing list

Replies

Subject Author
Re: [gentoo-user] emerge xmlto > ERROR: app-text/xmlto-0.0.18 failed. Holly Bostick <motub@××××××.nl>